Package org.jcsp.net.tcpip

# Class TCPIPCNSServerNT

NTService
org.jcsp.net.tcpip.TCPIPCNSServerNT

public class TCPIPCNSServerNT extends NTService
Wraps up the TCPIPCNSServer as a Windows NT service. To install the service, register the path `java org.jcsp.net.tcpip.TCPIPCNSServerNT` with the service name `JCSP.NET:TCPIPCNSServer`.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Creates a new service instance and sets it running.
`protected void`
`startService()`
Starts the service by calling `TCPIPCNSServer.main`.
`protected void`
`stopService()`
Stops the service.

## Method Details

### startService

protected void startService()
Starts the service by calling `TCPIPCNSServer.main`.

### stopService

protected void stopService()
Stops the service.

### main

public static void main(String[] args)
Creates a new service instance and sets it running.